Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class ListTables

    java.lang.Object
      org.apache.poi.hwpf.model.ListTables

    public final class ListTables

extends java.lang.Object

Author:
  Ryan Ackley

Constructor Summary
`ListTables()`
`ListTables(byte[] tableStream, int lstOffset, int lfoOffset)`

Method Summary
`int` | `addList(ListData lst, ListFormatOverride override)`
`boolean` | `equals(java.lang.Object obj)`
`ListLevel` | `getLevel(int listID, int level)`
`ListData` | `getListData(int listID)`
`ListFormatOverride` | `getOverride(int lfoIndex)`
`int` | `getOverrideCount()`
`int` | `getOverrideIndexFromListID(int lstid)`
`void` | `writeListDataTo(FileInformationBlock fib, HWPFOutputStream tableStream)`
`void` | `writeListOverridesTo(HWPFOutputStream tableStream)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListTables

    public ListTables()

### ListTables

    public ListTables(byte[] tableStream,
                      int lstOffset,
                      int lfoOffset)

Method Detail

### addList

    public int addList(ListData lst,
                       ListFormatOverride override)

### writeListDataTo

    public void writeListDataTo(FileInformationBlock fib,
                                HWPFOutputStream tableStream)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeListOverridesTo

    public void writeListOverridesTo(HWPFOutputStream tableStream)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getOverride

    public ListFormatOverride getOverride(int lfoIndex)

### getOverrideCount

    public int getOverrideCount()

### getOverrideIndexFromListID

    public int getOverrideIndexFromListID(int lstid)

### getLevel

    public ListLevel getLevel(int listID,
                              int level)

### getListData

    public ListData getListData(int listID)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD